// This script is included to help us test the rate limiter.

const apiUrl = 'https://ubs.rtech.foundation/api/v1/info'; // Replace with your API URL
const interval = 500; // 1 second

const callApi = async () => {
	try {
		const response = await fetch(apiUrl);
		if (!response.ok) {
			throw new Error('Network response was not ok');
		}
		const data = await response.json();
		console.log('API Response:', data);
	} catch (error) {
		console.error('Error calling API:', error.message);
	}
};

setInterval(callApi, interval);